<?php
ini_set('default_socket_timeout', 500);

include_once("../scripts/connect.php");
$conexion = conecta_default();
include ("../scripts/ModeloCompacto.php");

$conexion = conecta_default ();

	
	$dato = explode ( "|", $_SESSION ['usuario'] );

$iii = 1;

$fecha1 = '2022-12-01';

$fecha2 = '2022-12-31';

$elcentro = $_POST ['listacd'];

if ($elcentro == 0) {
	$q2 = "SELECT 
 		rfc, CONCAT_WS(' ', nombre, appat, apmat) as nombreInversionitas, sum(puntos) as compras, usuarios_ci_idusuarios_ci, id_inver as id_inverT,
 		(select sum(puntos) from depositos d join transacciones tr on tr.idtransacciones=d.transacciones_idtransacciones join inversionista i on tr.inversionista_id_inver=i.id_inver where i.idprom=id_inverT and tr.fechat between \"$fecha1\" and \"$fecha2\") as puntosprimernivel
 		FROM transacciones 
 		join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones 
 		join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver 
 		WHERE fechat between \"$fecha1\" and \"$fecha2\" and inversionista.id_inver in (16890, 17678) and transacciones.tipostr_idtipostr!='11' 
 		group by rfc order by usuarios_ci_idusuarios_ci";
} else {
	
	$q2 = "SELECT 
 		rfc, CONCAT_WS(' ', nombre, appat, apmat) as nombreInversionitas, sum(puntos) as compras, usuarios_ci_idusuarios_ci, id_inver as id_inverT,
 		(select sum(puntos) from depositos d join transacciones tr on tr.idtransacciones=d.transacciones_idtransacciones join inversionista i on tr.inversionista_id_inver=i.id_inver where i.idprom=id_inverT and tr.fechat between \"$fecha1\" and \"$fecha2\") as puntosprimernivel
 		FROM transacciones 
 		join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones 
 		join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver 
 		WHERE fechat between \"$fecha1\" and \"$fecha2\" and inversionista.id_inver in (16890, 17678) and transacciones.tipostr_idtipostr!='11' and usuarios_ci_idusuarios_ci=$elcentro  
 		group by rfc order by usuarios_ci_idusuarios_ci";
}
$result = mysqli_query($conexion, $q2) or die ( 'No se pudo hacer lo que quieres ok?' . mysqli_error($conexion) );

echo "<center>
		<h3>Modelo compacto</h3>
		<table border=\"1\"> <tr>

			<th>#</th>
			<th>ID.</th>
			<th>RFC.</th>
			<th>Nombre</th>
			<th>Sistema</th>
			<th>C.D.</th>
			<th>Calificadas</th>
			<th>Generado</th>
			<th>Obtenido</th>
			<th></th>

			</tr>";

$iii = 1;
$superTotalGenerado = 0;
$superTotalObtenido = 0;

while ( $fila = mysqli_fetch_array( $result, MYSQL_ASSOC ) ) {
	
	if ($fila ['compras'] >= 624 && $fila ['puntosprimernivel'] > 1) {
		
		$modeloNegocio = new ModeloCompacto($conexion);
		$modeloNegocio->procesarInversionistaCompacto($fila ['id_inverT'], $fecha1, $fecha2);
		$datos = $modeloNegocio->resumenCalculos();
		
		$superTotalGenerado += $datos['totalGenerado'];
		$superTotalObtenido += $datos['totalObtenido'];
		
		
		$tot += $fila ['compras'];
		
		echo "<tr>
				<td>$iii</td>
				<td>" . $fila ['id_inverT'] . "</td>
				<td>" . $fila ['rfc'] . "</td>
				<td>" . $fila ['nombreInversionitas'] . "</td>
				<td>" . $fila ['compras'] . "</td>
				<td>" . $fila ['usuarios_ci_idusuarios_ci'] . "</td>
				<td>".$datos['totalPersonasCalificadas']."</td>
				<td>".number_format ($datos['totalGenerado'],2, '.', ',')."</td>
				<td>".number_format ($datos['totalObtenido'],2, '.', ',')."</td>

<td>				
					
	<form name=\"busca2\" action=\"modeloCompacto.php\" target=\"_blank\" method=\"post\">

      <input type=hidden name=fech1 value=$fecha1 />

      <input type=hidden name=fech2 value=$fecha2 />

      <input type=hidden name=elrfc value=" . $fila ['rfc'] . " />

      <input type=hidden name=id_inver value=" . $fila ['id_inverT'] . " />

<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Reporte Compacto\" /></form>
					
					
					
					
					</td></tr>";
		$iii ++;
	}
}

echo "</table><br>
	<br>Las compras totales realizadas entre $fecha1 y $fecha2 son <br><br>Sistema: $tot<br>
	Total de regalías generadas: ".number_format ($superTotalGenerado,2, '.', ',')."<br />
	Total de regalías obtenidas: ".number_format ($superTotalObtenido,2, '.', ',')."<br />
<br>";

?>